Subject: bug#20953: 25.0.50; with icomplete, completion says "Matched" and then returns something else.

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 12:03:11 +0100

Nicolas Richard <[email-masked]> writes:

> I run
> emacs -Q -l ~/tmp/testcompletion.el
>
> then hit the following keys: C-h f m i n i b u f TAB RET 
>
> After "TAB" I get :
> minibufferp [Matched]
> in the minibuffer.
>
> After "RET" I get a description of `minibuffer-depth' which is totally
> unexpected to me. I expected a description of the function `minibufferp'.

I tried reproducing this in Emacs 28, and with this test case, Emacs now
selects `minibufferp', so I think this was fixed earlier this year, and
I'm closing this bug report.  If this is still and issue, please respond
to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no